//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.12.16 at 11:48:39 AM CET 
//


package org.tdwg.ggbn;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * Container element for information on individual
 * 				sequences/reads
 * 
 * <p>Java class for singleSequencing complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="singleSequencing">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="sequencingDirection" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="sequencingDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
 *         &lt;element name="sequencingStaff" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="sequencingMethod" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="singleSequence" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="singleSequenceLength" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="fragmentLength" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="chromatogramFileURI" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
 *         &lt;element name="SequencingPrimers" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="sequencingPrimer" type="{http://data.ggbn.org/schemas/ggbn/terms}primer" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "singleSequencing", propOrder = {
    "sequencingDirection",
    "sequencingDate",
    "sequencingStaff",
    "sequencingMethod",
    "singleSequence",
    "singleSequenceLength",
    "fragmentLength",
    "chromatogramFileURI",
    "sequencingPrimers"
})
public class SingleSequencing {

    protected String sequencingDirection;
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar sequencingDate;
    protected String sequencingStaff;
    protected String sequencingMethod;
    protected String singleSequence;
    protected String singleSequenceLength;
    protected String fragmentLength;
    @XmlSchemaType(name = "anyURI")
    protected String chromatogramFileURI;
    @XmlElement(name = "SequencingPrimers")
    protected SingleSequencing.SequencingPrimers sequencingPrimers;

    /**
     * Gets the value of the sequencingDirection property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSequencingDirection() {
        return sequencingDirection;
    }

    /**
     * Sets the value of the sequencingDirection property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSequencingDirection(String value) {
        this.sequencingDirection = value;
    }

    /**
     * Gets the value of the sequencingDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getSequencingDate() {
        return sequencingDate;
    }

    /**
     * Sets the value of the sequencingDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setSequencingDate(XMLGregorianCalendar value) {
        this.sequencingDate = value;
    }

    /**
     * Gets the value of the sequencingStaff property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSequencingStaff() {
        return sequencingStaff;
    }

    /**
     * Sets the value of the sequencingStaff property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSequencingStaff(String value) {
        this.sequencingStaff = value;
    }

    /**
     * Gets the value of the sequencingMethod property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSequencingMethod() {
        return sequencingMethod;
    }

    /**
     * Sets the value of the sequencingMethod property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSequencingMethod(String value) {
        this.sequencingMethod = value;
    }

    /**
     * Gets the value of the singleSequence property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSingleSequence() {
        return singleSequence;
    }

    /**
     * Sets the value of the singleSequence property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSingleSequence(String value) {
        this.singleSequence = value;
    }

    /**
     * Gets the value of the singleSequenceLength property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSingleSequenceLength() {
        return singleSequenceLength;
    }

    /**
     * Sets the value of the singleSequenceLength property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSingleSequenceLength(String value) {
        this.singleSequenceLength = value;
    }

    /**
     * Gets the value of the fragmentLength property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFragmentLength() {
        return fragmentLength;
    }

    /**
     * Sets the value of the fragmentLength property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFragmentLength(String value) {
        this.fragmentLength = value;
    }

    /**
     * Gets the value of the chromatogramFileURI property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getChromatogramFileURI() {
        return chromatogramFileURI;
    }

    /**
     * Sets the value of the chromatogramFileURI property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setChromatogramFileURI(String value) {
        this.chromatogramFileURI = value;
    }

    /**
     * Gets the value of the sequencingPrimers property.
     * 
     * @return
     *     possible object is
     *     {@link SingleSequencing.SequencingPrimers }
     *     
     */
    public SingleSequencing.SequencingPrimers getSequencingPrimers() {
        return sequencingPrimers;
    }

    /**
     * Sets the value of the sequencingPrimers property.
     * 
     * @param value
     *     allowed object is
     *     {@link SingleSequencing.SequencingPrimers }
     *     
     */
    public void setSequencingPrimers(SingleSequencing.SequencingPrimers value) {
        this.sequencingPrimers = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="sequencingPrimer" type="{http://data.ggbn.org/schemas/ggbn/terms}primer" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "sequencingPrimer"
    })
    public static class SequencingPrimers {

        protected Primer sequencingPrimer;

        /**
         * Gets the value of the sequencingPrimer property.
         * 
         * @return
         *     possible object is
         *     {@link Primer }
         *     
         */
        public Primer getSequencingPrimer() {
            return sequencingPrimer;
        }

        /**
         * Sets the value of the sequencingPrimer property.
         * 
         * @param value
         *     allowed object is
         *     {@link Primer }
         *     
         */
        public void setSequencingPrimer(Primer value) {
            this.sequencingPrimer = value;
        }

    }

}
